Skip to main content
`Ctrl`+`K`

# PetscObjectListFind

given a name, find the matching object in a list

## Synopsis

    PetscErrorCode PetscObjectListFind(PetscObjectList fl, const char name[], PetscObject *obj)

## Input Parameters

- fl - pointer to list

- name - name string

## Output Parameter

- obj - the PETSc object

## Notes

The name must have been registered with the `PetscObjectListAdd()` before calling this routine.

The reference count of the object is not increased

## See Also

`PetscObjectListDestroy()`,`PetscObjectListAdd()`,`PetscObjectListDuplicate()`,`PetscObjectListReverseFind()`, `PetscObjectList`

## Level

developer

## Location

src/sys/objects/olist.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages